Skip to content

Retrieve all standard and custom document fields and field properties.

GET/api/{version}/metadata/objects/documents/properties
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.2/metadata/objects/documents/properties
{ "name": "name__v", "scope": "DocumentVersion", "type": "String", "required": true, "maxLength": 100, "repeating": false, "systemAttribute": true, "editable": true, "setOnCreateOnly": false, "disabled": false, "label": "Name", "section": "generalProperties", "sectionPosition": 1, "hidden": false, "queryable": true, "shared": false, "helpContent": "The document name.", "definedInType": "type", "definedIn": "base_document__v" } { "name": "product__v", "scope": "DocumentVersion", "type": "ObjectReference", "required": true, "repeating": true, "systemAttribute": true, "editable": true, "setOnCreateOnly": false, "disabled": false, "objectType": "product__v", "label": "Product", "section": "productInformation", "sectionPosition": 1, "hidden": false, "queryable": true, "shared": false, "definedInType": "type", "definedIn": "base_document__v", "relationshipType": "reference", "relationshipName": "document_product__vr" } { "name": "document_creation_date__v", "scope": "Document", "type": "DateTime", "required": true, "repeating": false, "systemAttribute": true, "editable": false, "setOnCreateOnly": false, "disabled": false, "label": "Created Date", "section": "generalProperties", "sectionPosition": 18, "hidden": false, "queryable": true, "shared": false, "definedInType": "type", "definedIn": "base_document__v" }

The response lists all standard and custom document fields and field metadata. Note the following field metadata: